<mat-toolbar class="content-banner"
  [ngClass]="[((widthSideBar == 260 ) && !mobileSize.matches) ? 'content-banner-sidenav-expanded': ((widthSideBar == 50 ) && !mobileSize.matches) ? 'content-banner-sidenav-collapsed': '']"
  fxLayout="row" fxLayoutGap="20px">
  <span class="content-banner-header" *ngIf="isDashboard; else elseBlock">
    My Dashboard
  </span>
  <ng-template #elseBlock><span class="content-banner-header" *ngIf="pageName">{{pageName}}</span>
  </ng-template>
  <span class="tutorial-help" *ngIf="isTutorialRequired">
    <app-tutorial [pageName]="TutorialPageName" [tutorialIconColor]="tutorialIconColor"></app-tutorial>
  </span>

  <span class="toolbar-spacer"></span>
  <span class="toolbar-spacer"></span>
  <span *ngIf="environmentName !== 'PROD'" class="environment-name">{{environmentName ? (environmentName + ' Environment') : ''}}</span>
  <span class="toolbar-spacer"></span>
  <span class="content-banner-alert blinking">{{alertMsg ? alertMsg : ''}}</span>
  <mat-icon color="primary" matTooltip="Notifications" [matMenuTriggerFor]="alert" class="toolbar-icon"
    matBadge="{{alertList.length}}" matBadgePosition="after" matBadgeColor="accent">notifications</mat-icon>
  <mat-menu #alert="matMenu">
    <!-- <button mat-menu-item *ngFor="let alert of alertList" (click)="$event.stopPropagation();">
      <span [matTooltip]="alert.notificationLongMessage" matTooltipClass="vcs-info-tooltip">
        <mat-checkbox #checkbox [indeterminate]="!alert.isAlertDisplayOnce" [disabled]="!alert.isAlertDisplayOnce"
          (change)="onAlertCheckboxClicked($event, alert)">
        </mat-checkbox>
        <span [innerHTML]="alert.notificationMessage | noSanitize" (click)="onButtonClick(alert)" style="padding: 5px;"></span>
      </span>
    </button> -->
    <span *ngIf="alertList.length > 0">
      <button mat-menu-item *ngFor="let alert of alertList" (click)="$event.stopPropagation();"
        matTooltip="Click for more info." matTooltipPosition="before" matTooltipClass="vcs-info-tooltip">
        <span [innerHTML]="alert.notificationMessage ? (alert.notificationMessage | noSanitize) : ''"
          (click)="onAlertClick(alert)" style="padding: 5px;"></span>
      </button>
    </span>
  </mat-menu>
</mat-toolbar>
